MSP Gas Metering Library

- Main Page
- Introduction
- Usage
- Modules
- Data Structures
- Disclaimer

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
GASMETERING_Algorithms_Configuration Struct Reference

This structure allows to configure the Time of Flight Algorithm. More...

`#include <gasMeteringLib.h>`

## Data Fields
GASMETERING_Algorithm_Computation_Mode | computationMode
| Selects computation mode.
int16_t | deltaToFOfsset_ps
| The constant value calibrated by Zero flow drift (sec)
int16_t | absToFAddDelay_ns
float | negRngDeltaTOF_sec
float | posRngDeltaTOF_sec
float | negRngAbsTOF_sec
float | posRngAbsTOF_sec
float | envCrossThreshold
| The envelope crossing threshold of correlation output for absolute TOF.
bool | isRunAbsToFUpEnabled
bool | isRunAbsToFDownEnabled
bool | isRunDeltaToFUpEnabled
bool | isRunFlowEnabled
uint16_t | syncThreshold

## Detailed Description

This structure allows to configure the Time of Flight Algorithm.

## Field Documentation

int16_t GASMETERING_Algorithms_Configuration::absToFAddDelay_ns

The additional time it takes during firing and capturing the data, which is not accounted for anywhere else.

bool GASMETERING_Algorithms_Configuration::isRunAbsToFDownEnabled

This flag must be set equal to true, otherwise GASMETERING_runAlgorithm will return 0.0

bool GASMETERING_Algorithms_Configuration::isRunAbsToFUpEnabled

This flag must be set equal to true, otherwise GASMETERING_runAlgorithm will return 0.0

bool GASMETERING_Algorithms_Configuration::isRunDeltaToFUpEnabled

This flag must be set equal to true, otherwise GASMETERING_runAlgorithm will return 0.0

bool GASMETERING_Algorithms_Configuration::isRunFlowEnabled

This flag must be set equal to true, otherwise GASMETERING_runAlgorithm will return 0.0

float GASMETERING_Algorithms_Configuration::negRngAbsTOF_sec

The max negative index to search across correlation value of UPS/DNS and TX pulse for the matching signal. Minimum value: 0 Maximum value: 50e-6

float GASMETERING_Algorithms_Configuration::negRngDeltaTOF_sec

The max negative index to search across correlation value of UPS and DNS for the matching signal. Minimum value: 0 Maximum value: 75e-6

float GASMETERING_Algorithms_Configuration::posRngAbsTOF_sec

The max positive index to search across correlation value of UPS/DNS and TX pulse for the matching signal. Minimum value: 0 Maximum value: 50e-6

float GASMETERING_Algorithms_Configuration::posRngDeltaTOF_sec

The max positive index to search across correlation value of UPS and DNS for the matching signal. Minimum value: 0 Maximum value: 75e-6

uint16_t GASMETERING_Algorithms_Configuration::syncThreshold

This threshold specificies the number of captures before triggering a new setting Flag_searchForCorrIdxDNS and Flag_searchForCorrIdxUPS to true

The documentation for this struct was generated from the following file:

- gasMeteringLib.h